Bug 152464 - Latex freezes
Latex freezes
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-03-29 13:57 EST by PE Meunier
Modified: 2013-07-02 19:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-18 05:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description PE Meunier 2005-03-29 13:57:54 EST
Not really severe, but quite unpleasant when you dont know why it freezes.
When using LaTeX, having done (by mistake) a recursive new command, latex doesnt
detect it, and tries to finish the job anyway, which causes it to freeze.
Example :

I know, I should have done the following, but that's a bug anyway :

Comment 1 Jindrich Novy 2005-03-30 01:37:42 EST
PE, this looks like a feature request to the original LaTeX maintainers than a
bug that needs to fixed for FC3 teTeX. Could you please report this problem

Read first:

and then please file the bug in:

Could you then add here a reference to the bug you reported so that I can track it?

Comment 2 Jindrich Novy 2005-04-18 05:32:53 EDT
I reported it upstream myself. It has the internal identification `latex/3776'.
Comment 3 Jindrich Novy 2005-04-18 07:15:28 EDT
Upstream developer responded:

This is also known as the halting problem. The TeX engine -- and therefore  
also LaTeX -- is Turing complete and it is a proven fact that a Turing  
Machine cannot determine in advance that something will cause an infinite  
loop. It can only be done by executing it and hoping for the best.

The good thing about computers being so fast these days is that when you  
observe LaTeX hanging for a few seconds there is a good chance it's  
because you accidentally caused it to go into an infinite loop. There are  
many ways to get LaTeX into an infinite loop and the indispensable The  
LaTeX Companion 2nd edition has several examples on that topic.

Note You need to log in before you can comment on or make changes to this bug.